org.apache.ignite.internal.processors.nodevalidation

## Interface DiscoveryNodeValidationProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  OsDiscoveryNodeValidationProcessor

    public interface DiscoveryNodeValidationProcessor
    extends GridProcessor

Node validation.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016